Subject: bug#58451: closed (Re: bug#58451: cool-retro-term's fonts are broken)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Oct 2022 15:27:02 +0000

Your bug report

#58451: cool-retro-term's fonts are broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58451: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58451
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58451: cool-retro-term's fonts are broken
From: Eric Bavier <[email-masked]>
To: [email-masked]
Date: Wed, 12 Oct 2022 15:25:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Christine,

Thanks for the report. This should be fixed in https://git.savannah.gnu.org/cgit/guix.git/commit/?id=86ec52f66735b122b9035eba56516fd16f3be958

The "Cannot read property 'fontlist' of null" is still present, but was/is also present in the earlier 1.1.1 release, and seems to be mostly harmless.

Cheers,
`~Eric

On October 11, 2022 7:08:29 PM UTC, Christine Lemmer-Webber <[email-masked]> wrote:
>I realize we've made some modifications to cool-retro-term's font stuff
>back in Bavier's original patches adding cool-retro-term.  Particularly,
>some mentions of fonts are emoved.  However, something has gone wrong,
>you can no longer increase font sizes, and there aren't really any fonts
>listed.  The culprit seems hinted by looking at the output from running
>cool-retro-term from another terminal:
>
>qrc:/Fonts.qml:206:1: Expected token `}'
>qrc:/Fonts.qml:206:1: Expected token `}'
>qrc:/ApplicationSettings.qml:173: TypeError: Cannot read property 'count' of undefined
>qrc:/ApplicationSettings.qml:126: TypeError: Cannot read property 'fontlist' of null
>
>I'm guessing the code that's trying to remove mentions of forbidden
>fonts is accidentally dropping a closing brace somehow.
>
>
>
>

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.
-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.

Subject: cool-retro-term's fonts are broken
From: Christine Lemmer-Webber <[email-masked]>
To: [email-masked]
Date: Tue, 11 Oct 2022 15:08:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I realize we've made some modifications to cool-retro-term's font stuff
back in Bavier's original patches adding cool-retro-term.  Particularly,
some mentions of fonts are emoved.  However, something has gone wrong,
you can no longer increase font sizes, and there aren't really any fonts
listed.  The culprit seems hinted by looking at the output from running
cool-retro-term from another terminal:

qrc:/Fonts.qml:206:1: Expected token `}'
qrc:/Fonts.qml:206:1: Expected token `}'
qrc:/ApplicationSettings.qml:173: TypeError: Cannot read property 'count' of undefined
qrc:/ApplicationSettings.qml:126: TypeError: Cannot read property 'fontlist' of null

I'm guessing the code that's trying to remove mentions of forbidden
fonts is accidentally dropping a closing brace somehow.